Update OAuth instructions on README.Debian.
[debian/bti.git] / debian / changelog
1 bti (033-1) UNRELEASED; urgency=low
2
3   * New upstream release:
4     - fixes "bti should terminate with an error if the --config file can't
5       be read" (Closes: #669192)
6     - fix "bti no longer works with Twitter and loses posted tweets"
7       (Closes: #714032)
8
9  -- gregor herrmann <gregoa@debian.org>  Fri, 28 Jun 2013 00:37:59 +0200
10
11 bti (032-2) unstable; urgency=low
12
13   * Update Vcs-* headers.
14   * debian/watch: update after github URL schema change.
15   * Build depend on libcurl4-gnutls-dev instead of libcurl4-nss-dev (cf.
16     #650138) and make build dependency on liboauth-dev versioned just in
17     case). (LP: #1072720)
18   * Remove version from bash-completion build dependency, nothing older in
19     the archive.
20   * debian/copyright: switch formatting to Copyright-Format 1.0.
21   * Update years of packaging copyright.
22   * Set Standards-Version to 3.9.4 (no changes).
23   * Bump debhelper compatibility level to 9.
24   * debian/rules: make build non-silent.
25
26  -- gregor herrmann <gregoa@debian.org>  Mon, 06 May 2013 21:27:22 +0200
27
28 bti (032-1) unstable; urgency=low
29
30   * New upstream release
31   * debian/watch: use github redirector, there are no released tarballs at the
32     moment.
33   * The tarball from github doesn't ship a configure script; use
34     dh-autoreconf.
35   * Refresh patch manpage-debian.patch (offset), drop remaining patches (all
36     included upstream).
37
38  -- gregor herrmann <gregoa@debian.org>  Sat, 03 Dec 2011 01:25:55 +0100
39
40 bti (031-4) unstable; urgency=low
41
42   * Build-depend on libcurl4-nss-dev instead of libcurl4-gnutls-dev; they
43     conflict with each other, and liboauth-dev now requires the former.
44     (Fixes a not-yet-detected FTBFS.)
45
46  -- gregor herrmann <gregoa@debian.org>  Sat, 26 Nov 2011 23:53:14 +0100
47
48 bti (031-3) unstable; urgency=low
49
50   * Add patch to output the correct configfile name (identi.ca/OAuth/access
51     tokens). Thanks to Vincent Lefevre for the bug report; closes: #646681.
52
53  -- gregor herrmann <gregoa@debian.org>  Sat, 05 Nov 2011 17:48:05 +0100
54
55 bti (031-2) unstable; urgency=low
56
57   * New patch debian/patches/identi.ca-oauth.patch: change identica_* OAuth
58     URI's to point to https instead of http (closes: #602507).
59   * Set Standards-Version to 3.9.2 (no changes).
60   * Improve long description.
61
62  -- gregor herrmann <gregoa@debian.org>  Tue, 25 Oct 2011 20:35:48 +0200
63
64 bti (031-1) unstable; urgency=low
65
66   * New upstream release:
67     - addresses "bti doesn't warn if the password is incorrect": check server
68       replies in non-background mode, only in non-OAuth mode
69       (partly solves #602502)
70
71  -- gregor herrmann <gregoa@debian.org>  Tue, 22 Mar 2011 17:18:10 +0100
72
73 bti (030-1) unstable; urgency=low
74
75   * New upstream release.
76   * Switch to debhelper 8.
77
78  -- gregor herrmann <gregoa@debian.org>  Fri, 18 Mar 2011 12:32:44 +0100
79
80 bti (029-2) unstable; urgency=low
81
82   * Upload to unstable.
83
84  -- gregor herrmann <gregoa@debian.org>  Mon, 07 Feb 2011 18:32:28 +0100
85
86 bti (029-1) experimental; urgency=low
87
88   * New upstream release: includes fixes for
89     + "the --dry-run option has no effect (tweets get posted anyway)
90        with OAuth" (closes: #608608)
91     + "--replyto doesn't work with OAuth" (closes: #608112)
92   * laconi.ca was renamed to StatusNet (in August 2009); adjust package
93     description and add a patch to change the name in the manpage and the
94     example config; thanks to Julien Valroff for the bug report
95     (closes: #605407).
96   * Drop patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch, applied
97     upstream.
98   * Refresh remaining patches.
99   * debian/copyright: update years of upstream and packaging copyright; update
100     formatting.
101   * Don't install README anymore.
102   * Upload to experimental because of the freeze.
103
104  -- gregor herrmann <gregoa@debian.org>  Fri, 14 Jan 2011 02:43:10 +0100
105
106 bti (028-2) unstable; urgency=low
107
108   * Add patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch by Amir
109     Mohammad Saied which adds the oauth_callback parameter to the identi.ca
110     request_token URI in order to make OAuth work with identi.ca
111     (closes: #602507).
112   * Minor fixes in README.Debian.
113
114  -- gregor herrmann <gregoa@debian.org>  Wed, 24 Nov 2010 18:03:23 +0100
115
116 bti (028-1) unstable; urgency=low
117
118   * New upstream release:
119     - support for replying to notices
120     - adds OAuth support for both twitter and identi.ca (closes: #588235)
121     - split --background from --bash, and make the latter imply the former
122   * Refresh manpage-debian.patch.
123   * Set Standards-Version to 3.9.1 (no changes).
124   * Add build dependency on liboauth-dev.
125   * debian/rules: switch order of dh arguments (preparation for dh8).
126   * debian/copyright: update years of upstream copyright.
127   * Add README.Debian about OAuth usage.
128
129  -- gregor herrmann <gregoa@debian.org>  Wed, 03 Nov 2010 23:00:59 +0100
130
131 bti (026-1) unstable; urgency=low
132
133   * Bump build dependency on bash-completion (needed for --with
134     bash-completion in debian/rules).
135
136   * New upstream release.
137   * Refresh patch manpage-debian.patch and DEP3 patch headers.
138   * debian/copyright: refresh DEP5 header, update years of packaging
139     copyright.
140   * Set Standards-Version to 3.8.4 (no changes).
141   * Convert to source format 3.0 (quilt). Remove quilt framework.
142     Lower debhelper dependency.
143
144  -- gregor herrmann <gregoa@debian.org>  Wed, 19 May 2010 21:41:04 +0200
145
146 bti (025-1) unstable; urgency=low
147
148   * New upstream release: 
149     - set default host to twitter (closes: #563098)
150     - mention correct host in prompts (closes: #563099)
151
152  -- gregor herrmann <gregoa@debian.org>  Sun, 10 Jan 2010 01:29:11 +0100
153
154 bti (024-1) unstable; urgency=low
155
156   * New upstream release:
157     - do not display password while user types it (LP: #386525)
158     - disable echo when reading the password
159     - add laconica group support
160   * debian/control: add Homepage field and adjust long description.
161   * Use "--with bash-completion" in debian/rules to install bash-completion
162     snippet; bump build dependencies on debhelper and bash-completion in
163     debian/control.
164
165  -- gregor herrmann <gregoa@debian.org>  Wed, 02 Dec 2009 17:09:28 +0100
166
167 bti (023-2) unstable; urgency=low
168
169   * Build depend on libreadline-dev instead of libreadline5-dev, thanks to
170     Matthias Klose for the pointer.
171   * Set Standards-Version to 3.8.3 (no changes).
172   * Add debian/README.source to document quilt usage.
173   * Simplify debian/rules, adjust versioned build dependencies on debhelper
174     and quilt in debian/control.
175   * Use dh_bash-completion for installing the completion snippet; adjust
176     debian/rules, add a versioned build dependency on bash-completion.
177
178  -- gregor herrmann <gregoa@debian.org>  Sun, 13 Sep 2009 16:14:08 +0200
179
180 bti (023-1) unstable; urgency=low
181
182   * New upstream release, main changes:
183     - new 'verbose' mode
184     - SSL also for twitter
185   * debian/copyright: add new additional copyright holder.
186   * Refresh patch manpage-debian.patch.
187   * debian/control: mention additional actions in long description.
188
189  -- gregor herrmann <gregoa@debian.org>  Thu, 28 May 2009 17:37:08 +0200
190
191 bti (022-1) unstable; urgency=low
192
193   * New upstream release, main changes:
194     - support for custim laconi.ca instances
195     - use SSL for identi.ca
196   * debian/copyright: add additional copyright holder.
197
198  -- gregor herrmann <gregoa@debian.org>  Wed, 06 May 2009 23:05:42 +0200
199
200 bti (021-1) unstable; urgency=low
201
202   * New upstream release, contains changes in autoconf tools:
203     - simplify debian/rules and debian/install
204     - replace xmtlo with xsltproc, docbook-xsl, docbook-xml in debian/control
205
206  -- gregor herrmann <gregoa@debian.org>  Wed, 15 Apr 2009 17:12:53 +0200
207
208 bti (020-1) unstable; urgency=low
209
210   * New upstream release:
211     - remove patch getopt.patch, included upstream
212     - remove manpage for bti-shrink-urls from debian/, included upstream
213     - upstream uses autoconf, adjust debian/rules and debian/install, remove
214       debian/manpages
215
216  -- gregor herrmann <gregoa@debian.org>  Tue, 14 Apr 2009 20:40:24 +0200
217
218 bti (017-1) unstable; urgency=low
219
220   * New upstream release.
221   * Add build-dependency on libpcre3-dev.
222   * Refresh patch manpage-debian.patch.
223   * debian/install: add new bti-shrink-urls.
224   * debian/copyright: add information about bti-shrink-urls.
225   * Create a manpage for bti-shrink-urls.
226   * debian/rules: skip dh_auto_install (upstream Makefile now has an install
227     target which is not easier to use than the manual installation we've been
228     using).
229   * Add a new patch getopt.patch to make the new commandline options available
230     in bti.c.
231
232  -- gregor herrmann <gregoa@debian.org>  Tue, 24 Mar 2009 20:47:41 +0100
233
234 bti (015-1) unstable; urgency=low
235
236   * New upstream release; from the RELEASE-NOTES:
237     "--action support, bti now can output data from the twitter
238     and identica servers".
239   * Add build dependency on libxml2-dev.
240   * Refresh patch manpage-debian.patch.
241   * Set Standards-Version to 3.8.1 (no changes).
242
243  -- gregor herrmann <gregoa@debian.org>  Thu, 12 Mar 2009 17:17:11 +0100
244
245 bti (014-1) unstable; urgency=low
246
247   * New upstream release.
248
249  -- gregor herrmann <gregoa@debian.org>  Sat, 14 Feb 2009 18:36:36 +0100
250
251 bti (013-1) unstable; urgency=low
252
253   * New upstream release.
254   * Use dh_install instead of dh_bash-completion to install the bash
255     completion snippet in order to work around a problem on the amd64 buildd
256     (closes: #513115). Drop build dependency on bash-completion.
257
258  -- gregor herrmann <gregoa@debian.org>  Thu, 05 Feb 2009 20:54:54 +0100
259
260 bti (012-1) unstable; urgency=low
261
262   * New upstream release.
263   * Install the new bash completion script; add bash-completion to
264     Build-Depends and Suggests.
265   * Refresh patch manpage-debian.patch.
266
267  -- gregor herrmann <gregoa@debian.org>  Sun, 25 Jan 2009 00:52:13 +0100
268
269 bti (011-1) unstable; urgency=low
270
271   * New upstream release.
272   * Add build dependency on libreadline5-dev.
273
274  -- gregor herrmann <gregoa@debian.org>  Tue, 20 Jan 2009 17:05:57 +0100
275
276 bti (010-1) unstable; urgency=low
277
278   * New upstream release, includes a new --proxy option and honours the
279     http_proxy environment variable (closes: #511087).
280   * Refresh patch manpage-debian.patch.
281
282  -- gregor herrmann <gregoa@debian.org>  Mon, 12 Jan 2009 22:46:19 +0100
283
284 bti (008-1) unstable; urgency=low
285
286   * New upstream release (due to december twitter server change).
287   * Update years of packaging copyright.
288
289  -- gregor herrmann <gregoa@debian.org>  Sat, 10 Jan 2009 06:01:45 +0100
290
291 bti (007-1) unstable; urgency=low
292
293   * New upstream release.
294
295  -- gregor herrmann <gregoa@debian.org>  Sun, 26 Oct 2008 23:36:48 +0100
296
297 bti (006-1) unstable; urgency=low
298
299   * Initial release (Closes: #503241)
300
301  -- gregor herrmann <gregoa@debian.org>  Fri, 24 Oct 2008 20:53:07 +0200